Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/photos/star

Star/Unstar Location Photos

This API allows you to star or unstar photo(s) for a specific location. A starred photo highlights its importance and increases its visibility in certain displays.

For more details, refer to Manage photos for your location.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.locationIdstringrequiredID of the location containing the photos
input.photoIdsarray of stringrequiredList of Photo IDs to be starred/unstarred, which can found from query locations
input.starredbooleanrequiredtrue to star; false to unstar

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/photos/star' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationId": "TG9jYXRpb246MTA4NzIxMQ==",
    "photoIds": [
      "TWVkaWFGaWxlOjU2MzgyMDU="
    ],
    "starred": true
  }
}'

Responses

StatusDescription
200The response will provide details of the photos that were processed, whether successfully starred or unstarred. If any errors occur, the response will include error information.
Example response (generated from the schema)
{
  "data": {
    "starUnstarLocationPhotos": {
      "success": true,
      "error": null,
      "photos": [
        {
          "databaseId": 0,
          "fileSize": 0,
          "id": "string",
          "name": "string",
          "starred": true,
          "thumbnailUrl": "string",
          "type": "string",
          "url": "string",
          "publisherOverride": "string"
        }
      ]
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.starUnstarLocationPhotosobjectrequired
data.starUnstarLocationPhotos.successbooleanrequired
data.starUnstarLocationPhotos.errornullrequired
data.starUnstarLocationPhotos.photosarray of objectrequired
data.starUnstarLocationPhotos.photos[].databaseIdintegeroptional
data.starUnstarLocationPhotos.photos[].fileSizeintegeroptional
data.starUnstarLocationPhotos.photos[].idstringoptional
data.starUnstarLocationPhotos.photos[].namestringoptional
data.starUnstarLocationPhotos.photos[].starredbooleanoptional
data.starUnstarLocationPhotos.photos[].thumbnailUrlstringoptional
data.starUnstarLocationPhotos.photos[].typestringoptional
data.starUnstarLocationPhotos.photos[].urlstringoptional
data.starUnstarLocationPhotos.photos[].publisherOverridestringoptional